Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class SourceCode.FileCodeLoader

    java.lang.Object
      net.sourceforge.pmd.cpd.SourceCode.CodeLoader
          net.sourceforge.pmd.cpd.SourceCode.FileCodeLoader

Enclosing class:
  SourceCode

public static class SourceCode.FileCodeLoader
extends SourceCode.CodeLoader

Constructor Summary
`SourceCode.FileCodeLoader(java.io.File file)`

Method Summary
`java.lang.String` | `getFileName()`
`java.io.Reader` | `getReader()`

Methods inherited from class net.sourceforge.pmd.cpd.SourceCode.CodeLoader
`getCode, load`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceCode.FileCodeLoader

    public SourceCode.FileCodeLoader(java.io.File file)

Method Detail

### getReader

    public java.io.Reader getReader()
                             throws java.lang.Exception

  Specified by:
    `getReader` in class `SourceCode.CodeLoader`
  Throws:
    `java.lang.Exception`

### getFileName

    public java.lang.String getFileName()

  Specified by:
    `getFileName` in class `SourceCode.CodeLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.